<div id="main-div">

	<div id="border">
		<mat-grid-list [cols]="board.x">
			<mat-grid-tile *ngFor="let square of board.flat" class="noselect"
					[class.selected]="hx === square.x && hy === square.y"
					[class.myst]="square.mark === MYST"
					[class.land]="square.mark === LAND"
					[class.sea]="square.mark === SEA"
					[class.expanse]="board.tiles[hy][hx].island && square.reachableBy[board.tiles[hy][hx].island.id]"
					[class.impossible]="square.island && square.island.impossible"
					[class.complete]="square.island && square.island.complete"
					(click)="highlight(square.x, square.y)"
					(contextmenu)="cycle(square.x, square.y)"
					>
				{{square.og}}
			</mat-grid-tile>
		</mat-grid-list>
	</div>

	<div id="buttonholder">
		<button mat-raised-button color="primary" (click)="logic.unreachable()">Unreachable Seas</button>
		<button mat-raised-button color="primary" (click)="logic.fourSquare()">Corner Land</button>
		<button mat-raised-button color="primary" (click)="logic.forced()">Forced Land</button>
		<button mat-raised-button color="primary" (click)="logic.connected()">Connected Seas</button>
	</div>

	<div id="buttonholder">
		<button mat-raised-button color="primary" (click)="load()">Load</button>&nbsp;
		<button mat-raised-button color="primary" (click)="print()">Print</button>&nbsp;
		<button mat-raised-button color="primary" (click)="reset()">Reset</button>&nbsp;
		<button mat-raised-button color="primary" (click)="clear()">Clear</button>&nbsp;
		<button mat-raised-button color="primary" (click)="solve()">Solve</button>&nbsp;
		<button mat-raised-button color="primary" (click)="solve(true)">Step</button>&nbsp;
	</div>
</div>
